Subject: linux-next: build failure after merge of the fs-next tree

From: Mark Brown <[email-masked]>
Date: Fri, 27 Mar 2026 19:22:12 +0000

Hi all,

After merging the fs-next tree, today's linux-next build (x86_64
allmodconfig) failed like this:

/tmp/next/build/fs/exfat/file.c: In function 'exfat_file_mmap_prepare':
/tmp/next/build/fs/exfat/file.c:842:13: error: implicit
declaration of function 'vma_desc_test_flags'; did you mean
'vma_desc_set_flags'? [-Wimplicit-function-declaration]
  842 |         if (vma_desc_test_flags(desc, VMA_WRITE_BIT)) {
      |             ^~~~~~~~~~~~~~~~~~~ vma_desc_set_flags

Caused by commit

  9b373eacd6e6c4 (exfat: add iomap buffered I/O support)

from the exfat tree interacting with

  2c3b5ea7028fa (mm: reintroduce vma_desc_test() as a singular flag test)

from one of the mm trees.  I have applied a fixup which I can carry as
needed.

From c4935dbc4b15a9119616ac73b17eff29a7e2ec87 Mon Sep 17 00:00:00 2001
From: Mark Brown <[email-masked]>
Date: Fri, 27 Mar 2026 19:08:13 +0000
Subject: [PATCH] exfat: Fix up merge with mm

/tmp/next/build/fs/exfat/file.c: In function 'exfat_file_mmap_prepare':
/tmp/next/build/fs/exfat/file.c:842:13: error: implicit
declaration of function 'vma_desc_test_flags'; did you mean
'vma_desc_set_flags'? [-Wimplicit-function-declaration]
  842 |         if (vma_desc_test_flags(desc, VMA_WRITE_BIT)) {
      |             ^~~~~~~~~~~~~~~~~~~ vma_desc_set_flags

Signed-off-by: Mark Brown <[email-masked]>
---
 fs/exfat/file.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/fs/exfat/file.c b/fs/exfat/file.c
index 9a30c32b3a0526..82db5ebaaad7b7 100644
--- a/fs/exfat/file.c
+++ b/fs/exfat/file.c
@@ -839,7 +839,7 @@ static int exfat_file_mmap_prepare(struct vm_area_desc *desc)
 	if (unlikely(exfat_forced_shutdown(file_inode(desc->file)->i_sb)))
 		return -EIO;
 
-	if (vma_desc_test_flags(desc, VMA_WRITE_BIT)) {
+	if (vma_desc_test(desc, VMA_WRITE_BIT)) {
 		struct inode *inode = file_inode(file);
 		loff_t from, to;
 		int err;
-- 
2.47.3